Get Issue Affected Projects
https://app.fossa.com/api/v2/issues/{issueId}/affected-projectsRetrieves a list of affected projects for a given issue.
Path parameters
issueIdintegerrequiredIssue ID
Query parameters
categoryenumrequiredIssue category
licensingvulnerabilityqualityscope[type]enumrequiredScope of issues to view / update
globalprojectreleaseGroupscope[id]stringProject or release group ID (required when scope[type] is "project" or "releaseGroup")
scope[revision]stringRevision ID (when scope[type] is "project")
scope[revisionScanId]integer <int32>Revision scan ID (when scope[type] is "project")
scope[release]stringRelease group ID (when scope[type] is "releaseGroup")
scope[releaseScanId]stringRelease scan ID (when scope[type] is "releaseGroup")
Responses
200Affected project listArray of:
idstringProject ID
revisionIdstringRevision ID
titlestringProject title
statusstringProject status
branchstringDefault or Release Group Project's revision branch
jiraTicketIdstringJira ticket ID
jiraTicketURLstringJira ticket URL
typeenumThe type of ticket export
jiraconcludedLicensesstring[]The concluded licenses for the project
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/v2/issues/1/affected-projectscurl --request GET \ --url 'https://app.fossa.com/api/v2/issues/1/affected-projects' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
issueIdintegerrequiredIssue ID
Query params
categoryenumrequiredIssue category
scope[type]enumrequiredScope of issues to view / update
scope[id]stringProject or release group ID (required when scope[type] is "project" or "releaseGroup")
scope[revision]stringRevision ID (when scope[type] is "project")
scope[revisionScanId]integerRevision scan ID (when scope[type] is "project")
scope[release]stringRelease group ID (when scope[type] is "releaseGroup")
scope[releaseScanId]stringRelease scan ID (when scope[type] is "releaseGroup")